# Class PrivateKeyCallback.SubjectKeyIDRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.SubjectKeyIDRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.SubjectKeyIDRequest extends Object implements PrivateKeyCallback.Request
A request to retrieve a certificate chain and private key by the Subject Key Identifier extension value.

## Constructor Summary

Constructors
Constructor
Description
`SubjectKeyIDRequest(byte[] subjectKeyID)`
Creates a new `SubjectKeyIDRequest` with the specified subject key identifier.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSubjectKeyID()`
Returns the subject key identifier for this request.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectKeyIDRequest

public SubjectKeyIDRequest(byte[] subjectKeyID)
Creates a new `SubjectKeyIDRequest` with the specified subject key identifier.

Parameters:
  `subjectKeyID` - the Subject Key Identifier extension value from the desired certificate

## Method Details

### getSubjectKeyID

public byte[] getSubjectKeyID()
Returns the subject key identifier for this request.

Returns:
  the Subject Key Identifier byte array